import 'package:cresce_ui/cresce_ui.dart';
import 'package:flutter/material.dart';

class ButtonState {
  final TextStyle labelStyle;
  final Color backgroundColor;
  final Color borderColor;

  ButtonState({
    required this.labelStyle,
    required this.backgroundColor,
    required this.borderColor,
  });
}

class UntappedButtonState extends ButtonState {
  UntappedButtonState()
      : super(
          labelStyle: CTextStyles.fieldPrimary,
          backgroundColor: const Color(0xffffffff),
          borderColor: const Color(0xff4bbaac),
        );
}

class TappedButtonState extends ButtonState {
  TappedButtonState()
      : super(
          labelStyle: CTextStyles.fieldSecondary,
          backgroundColor: const Color(0xff4bbaac),
          borderColor: const Color(0xff4bbaac),
        );
}

class UntappedAlertButtonState extends ButtonState {
  UntappedAlertButtonState()
      : super(
          labelStyle: CTextStyles.fieldAlert,
          backgroundColor: const Color(0xffffffff),
          borderColor: const Color(0xffe9443e),
        );
}

class TappedAlertButtonState extends ButtonState {
  TappedAlertButtonState()
      : super(
          labelStyle: CTextStyles.fieldSecondary,
          backgroundColor: const Color(0xffe9443e),
          borderColor: const Color(0xffe9443e),
        );
}
