part of cresce_ui;

class CModalHeader extends StatelessWidget {
  final Uint8List? image;
  final String title;
  final String subTitle;

  const CModalHeader(
      {Key? key, this.image, required this.title, required this.subTitle})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      size: const Size(292, 86),
      gradient: const LinearGradient(
        begin: Alignment(0.0, -1.0),
        end: Alignment(0.0, 1.0),
        colors: [Color(0xff2eb3a2), Color(0xff1f7267)],
        stops: [0.0, 1.0],
      ),
      child: Padding(
        padding: const EdgeInsets.all(12.0),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Column(
              children: [
                CText(label: title, style: CTextStyles.titleSecondary),
                CText(
                  label: subTitle,
                  style: CTextStyles.subtitleSecondary,
                ),
              ],
            ),
            CCircle(size: const Size(64, 64), image: image),
          ],
        ),
      ),
    );
  }
}
