import 'package:cresce_ui/cresce_ui.dart';
import 'package:golden_toolkit/golden_toolkit.dart';

void main() {
  testGoldens('CHeader screen test', (tester) async {
    const builder = CHeader(title: 'Cresce');

    await tester.pumpWidgetBuilder(builder);

    await screenMatchesGolden(tester, 'CHeader');
  });

  testGoldens('CThumbnail screen test', (tester) async {
    final builder = GoldenBuilder.grid(columns: 2, widthToHeightRatio: 1)
      ..addScenario(
        'Title',
        const CThumbnail(title: 'Cresce'),
      )
      ..addScenario(
        'Title & SubTitle',
        const CThumbnail(title: 'Title', subTitle: 'some subTitle'),
      );

    await tester.pumpWidgetBuilder(builder.build());

    await screenMatchesGolden(tester, 'CThumbnail');
  });
}
